3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class A { private $m_bThrow = FALSE; public function __construct($bThrow) { $this->m_bThrow = $bThrow; } public function __destruct() { if ($this->m_bThrow) { throw new Exception('Exception in destructor!'); } } } function abc2() { $a = new A(TRUE); throw new Exception('manual exception'); } try { abc2(); echo 'Unexpected no exception!' . "\n"; } catch (Exception $e) { echo $e->getMessage() . "\n"; } ?>
Output for 5.3.0 - 5.6.28, 7.0.0 - 7.1.0
Exception in destructor!
Output for hhvm-3.10.0 - 3.12.0
Warning: Destructor threw an object exception: exception 'Exception' with message 'Exception in destructor!' in /in/tRiBB:15 Stack trace: #0 /in/tRiBB(23): A->__destruct() #1 /in/tRiBB(27): abc2() #2 {main} in /in/tRiBB on line 23 manual exception
Output for 5.2.0 - 5.2.17
Fatal error: Ignoring exception from A::__destruct() while an exception is already active (Uncaught Exception in /in/tRiBB on line 23) in /in/tRiBB on line 33
Process exited with code 255.
Output for 5.0.2 - 5.1.6
Fatal error: Ignoring exception from A::__destruct() while an exception is already active in /in/tRiBB on line 33
Process exited with code 255.
Output for 5.0.0 - 5.0.1
manual exception
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/tRiBB on line 5
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/tRiBB on line 5
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error, expecting `T_OLD_FUNCTION' or `T_FUNCTION' or `T_VAR' or `'}'' in /in/tRiBB on line 5
Process exited with code 255.